var color_win = "#68c086";
var color_loss = "#ff625f";
var color_tie = "#e1e565";
var _win, _loss, _tie = 0;

var _element, _ctx, _theme, _animate;

function onLoad() {
    _element = document.getElementById("canvas");
    _ctx = _element.getContext("2d");
    console.log('onload');
}


function options() {
    return {
        segmentStrokeColor: _theme === "dark" ? '#353536' : '#f9f8fa',
        animation : _animate
    };
}

function getList(){
    if(_win + _loss + _tie === 0){
        var color = _theme === "dark" ? '#474748' : '#dad9db';
        return [
            {value: 1, color: color},
            {value: 0, color: color},
            {value: 0, color: color}
        ];
    }

    return [
       {value: _loss, color: color_loss},
       {value: _tie, color: color_tie},
       {value: _win, color: color_win}
    ];
}

function show(win, loss, tie, theme, animate) {
    if(_win === win && _loss === loss && _tie === tie){

    } else {
        _win = win;
        _loss = loss;
        _tie = tie;
        _theme = theme;
        _animate = animate;

        _element.width = window.innerWidth;
        _element.height = window.innerHeight;

        draw(getList(), options());
    }
}

function draw(list, options){
    clearCanvas();
    new Chart(_ctx).Doughnut(list, options);
}


function resize_canvas(){
    _element.width = window.innerWidth;
    _element.height = window.innerHeight;

    _animate = false;
    draw(getList(), options());
    console.log('onresize');
}

function clearCanvas(){
    _ctx.clearRect(0, 0, _element.width, _element.height);
    _element.width = _element.width;
    _element.height = _element.height;
}